<?php
namespace Modules\Fournisseur\Controller;

use Skeleton\Controller\Controller;
use Helpers\Trad\Trad;

class CreationGroupementController extends Controller
{
    public function nouveauGroupementAction() : string
    {

        return $this->renderer->render('@Fournisseur/GestionGroupement/creation', [
            'menuActive' => 'Fournisseur',
            'menuLeft' => 'GestionGroupement',
            'creation' => true,
            'modeGroupement' => 'creation',
        ]);
    }
    
    public function erreurContactSupplAction() : string
    {
        $trad = $this->getTranslationService();
        $text= $trad->t('Vous ne pouvez pas ajouter un nouveau contact sans avoir renseigné le contact précédent');
        
        return $this->renderer->render('@popup-erreur/confirmationSuppresion', [
            'message' => $text,
        ]);
    }
}
